Name:          python-simplejson
Version:       3.20.1
Release:       1mamba
Summary:       Simple, fast, extensible JSON encoder/decoder for Python
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://undefined.org/python/#simplejson
Source:        http://pypi.debian.net/simplejson/simplejson-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: libpython3-devel >= 3.7.4

%description
simplejson is a simple, fast, complete, correct and extensible JSON <http://json.org> encoder and decoder for Python 2.4+.  It is pure Python code with no dependencies, but includes an optional C extension for a serious speed boost.
simplejson was formerly known as simple_json, but changed its name to comply with PEP 8 module naming guidelines.
The encoder may be subclassed to provide serialization in any kind of situation, without any special support by the objects to be serialized (somewhat like pickle).
The decoder can handle incoming JSON strings of any specified encoding (UTF-8 by default).

%if "%{?with_pyver}"
%define py_requires_append \
Obsoletes:     python-simplejson-py310 < 3.19.2-2mamba
%pyver_package
%endif

%prep
%setup -q -n simplejson-%{version}

for p in $(find . -name "*.py"); do
   	sed -i '1s|#!/usr/bin/python|#!%{__python}|' $p
   	sed -i '1s|#!/usr/bin/env python|#!/usr/bin/env %{__python}|' $p
   	sed -i '1s|#!python|#!/usr/bin/env %{__python}|' $p
done

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
	-O1 \
	--skip-build \
	--root="%{buildroot}" \
	--install-headers=%{_includedir}/python \
	--install-lib=%{python_sitearch} \
	--single-version-externally-managed

%check
nosetests -q

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitearch}/simplejson-%{version}-py%{python_version}.egg-info
%{python_sitearch}/simplejson-%{version}-py%{python_version}.egg-info/PKG-INFO
%{python_sitearch}/simplejson-%{version}-py%{python_version}.egg-info/*.txt
#%{python_sitearch}/simplejson-%{version}-py%{python_version}.egg-info/zip-safe
%dir %{python_sitearch}/simplejson
%{python_sitearch}/simplejson/*.py*
%if "%{?pyappend}" == ""
%{python_sitearch}/simplejson/_speedups.so
%else
%dir %{python_sitearch}/simplejson/__pycache__
%{python_sitearch}/simplejson/__pycache__/*
%{python_sitearch}/simplejson/_speedups.cpython-*.so
%dir %{python_sitearch}/simplejson/tests/__pycache__
%{python_sitearch}/simplejson/tests/__pycache__/*
%endif
%dir %{python_sitearch}/simplejson/tests
%{python_sitearch}/simplejson/tests/*.py*
%doc LICENSE.txt

%changelog
* Sun Feb 16 2025 Automatic Build System <autodist@openmamba.org> 3.20.1-1mamba
- automatic version update by autodist

* Thu Aug 15 2024 Automatic Build System <autodist@openmamba.org> 3.19.3-1mamba
- automatic version update by autodist

* Fri Jan 19 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.19.2-2mamba
- obsolete python-simplejson-py310

* Fri Oct 06 2023 Automatic Build System <autodist@mambasoft.it> 3.19.2-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 3.19.1-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Apr 07 2023 Automatic Build System <autodist@mambasoft.it> 3.19.1-1mamba
- automatic version update by autodist

* Wed Mar 15 2023 Automatic Build System <autodist@mambasoft.it> 3.18.4-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 3.18.3-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 3.18.1-1mamba
- automatic version update by autodist

* Tue Nov 15 2022 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Wed Nov 17 2021 Automatic Build System <autodist@mambasoft.it> 3.17.6-1mamba
- automatic version update by autodist

* Tue Aug 24 2021 Automatic Build System <autodist@mambasoft.it> 3.17.5-1mamba
- automatic version update by autodist

* Sat Aug 21 2021 Automatic Build System <autodist@mambasoft.it> 3.17.4-1mamba
- automatic version update by autodist

* Sat Jul 10 2021 Automatic Build System <autodist@mambasoft.it> 3.17.3-1mamba
- automatic version update by autodist

* Sat Jul 18 2020 Automatic Build System <autodist@mambasoft.it> 3.17.2-1mamba
- automatic version update by autodist

* Tue Nov 19 2019 Automatic Build System <autodist@mambasoft.it> 3.17.0-1mamba
- automatic version update by autodist

* Fri Aug 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16.0-3mamba
- rebuilt with python3 3.7.4

* Fri May 17 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16.0-2mamba
- rebuilt with py36 support

* Fri Jun 29 2018 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Sun May 13 2018 Automatic Build System <autodist@mambasoft.it> 3.15.0-1mamba
- automatic version update by autodist

* Tue Apr 24 2018 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Sun Dec 31 2017 Automatic Build System <autodist@mambasoft.it> 3.13.2-1mamba
- automatic version update by autodist

* Mon Nov 06 2017 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 3.11.1-1mamba
- automatic version update by autodist

* Sat Oct 29 2016 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Sat Oct 22 2016 Automatic Build System <autodist@mambasoft.it> 3.9.0-1mamba
- automatic version update by autodist

* Sun Mar 13 2016 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Tue May 26 2015 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- automatic version update by autodist

* Sun May 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.5-2mamba
- added python3 subpackage

* Sun Nov 16 2014 Automatic Build System <autodist@mambasoft.it> 3.6.5-1mamba
- automatic update by autodist

* Mon Oct 13 2014 Automatic Build System <autodist@mambasoft.it> 3.6.4-1mamba
- automatic update by autodist

* Wed Sep 10 2014 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Mon Aug 11 2014 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic update by autodist

* Wed Jul 23 2014 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic update by autodist

* Fri Jul 11 2014 Automatic Build System <autodist@mambasoft.it> 3.5.3-1mamba
- automatic update by autodist

* Mon May 26 2014 Automatic Build System <autodist@mambasoft.it> 3.5.2-1mamba
- automatic update by autodist

* Thu Apr 10 2014 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Tue Mar 11 2014 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic version update by autodist

* Thu Feb 06 2014 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Tue Oct 08 2013 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.0-1mamba
- python 2.7 mass rebuild

* Thu May 02 2013 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sun Apr 14 2013 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic version update by autodist

* Mon Mar 25 2013 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Tue Jan 15 2013 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Tue Jan 01 2013 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Sat Jun 25 2011 Automatic Build System <autodist@mambasoft.it> 2.1.6-1mamba
- automatic update by autodist

* Mon Nov 29 2010 gil <puntogil@libero.it> 2.1.1-2mamba
- rebuilt devel

* Sun Oct 03 2010 gil <puntogil@libero.it> 2.1.1-1mamba
- update to 2.1.1

* Sun Jan 31 2010 gil <puntogil@libero.it> 2.0.9-1mamba
- package created by autospec
